viernes, 2 de agosto de 2013

Múltiples productos Cisco afectados por problema en enrutamiento OSPF

Cisco ha anunciado la existencia de una vulnerabilidad en múltiples dispositivos Cisco (incluyendo IOS, IOS-XE, Cisco ASA, PIX, FWSM, NX-OS y ASR 5000) relativa a un problema en el protocolo de enrutamiento OSPF (Open Shortest Path First). El fallo podría permitir a un atacante remoto sin autenticar tomar el control de la tabla de rutas.

OSPF es un protocolo de rutado definido por la RFC 2328, diseñado para controlar el rutado IP dentro de un sistema autónomo (Autonomous System, AS) mediante el cálculo de calcular la ruta más corta posible, utilizando la métrica de menor costo.

Son vulnerables todos los productos Cisco con software Cisco IOS, Cisco IOS XE, Cisco FWSM (Cisco Firewall Services Module), Cisco NX-OS y Cisco ASR 5000, configurados para OSPF. OSPFv3 no se ve afectado por esta vulnerabilidad.

El problema reside en la base de datos LSA (Link State Advertisement) del protocolo OSPF. Un atacante que inyecte paquetes OSPF específicamente creados, podrá provocar la limpieza de la tabla de enrutamiento del dispositivo atacado, así como la propagación de una actualización manipulada. De esta forma el atacante podrá redirigir el tráfico de red a un "agujero negro" o redireccionar el tráfico e interceptar las comunicaciones.

Cisco ha publicado actualizaciones de software gratuitas para corregir esta vulnerabilidad. También existen contramedidas como el uso de autenticación OSPF.

Más información:

OSPF LSA Manipulation Vulnerability in Multiple Cisco Products



Antonio Ropero
Twitter: @aropero


No hay comentarios:

Publicar un comentario en la entrada